Skip to content

Marketplace

CompozyOS Marketplace HTTP endpoints.

For people running agent work32 pages in this section
GET
/api/marketplace

Query Parameters

q?string

Optional catalog search query

limit?integer

Maximum results from 1 to 100

Formatint32
cursor?string

Opaque next_cursor from the previous page

scope?string

Installed-state projection scope

Value in"global""profile""workspace"
profile?string

Required for profile installed-state projection

workspace_id?string

Required for workspace installed-state projection

Response Body

OK

application/json
  1. response
error?string
error_class?string
items*array<>
next_cursor?string
refreshing?boolean
revision*string
sources*array<>
stale*boolean
total*integer
curl -X GET "https://example.com/api/marketplace"
{  "error": "string",  "error_class": "string",  "items": [    {      "author": "string",      "description": "string",      "digest_sha256": "string",      "entry_id": "string",      "format": "string",      "icon": "string",      "install_blocker": "string",      "install_slug": "string",      "installable": true,      "installed": true,      "installed_name": "string",      "installed_version": "string",      "layout": "string",      "manage_path": "string",      "name": "string",      "name_conflict": {        "entry_id": "string",        "source": "string",        "source_ref": "string"      },      "published_at": "2019-08-24T14:15:22Z",      "source": "string",      "source_ref": "string",      "tier": "string",      "trust": {        "allow_unverified": true,        "checksum_verified": true,        "decision": "string",        "registry_tier": "string",        "warnings": [          {            "category": "string",            "code": "string",            "data_freshness": "string",            "doc_url": "string",            "evidence": {              "property1": null,              "property2": null            },            "id": "string",            "message": "string",            "severity": "string",            "suggested_command": "string",            "title": "string"          }        ]      },      "update_available": true,      "updated_at": "2019-08-24T14:15:22Z",      "version": "string"    }  ],  "next_cursor": "string",  "refreshing": true,  "revision": "string",  "sources": [    {      "count": 0,      "kind": "string",      "last_read_at": "2019-08-24T14:15:22Z",      "name": "string",      "state": "string"    }  ],  "stale": true,  "total": 0}
GET
/api/marketplace/entries/{entry_id}

Path Parameters

entry_id*string

Stable URL-safe marketplace entry id

Query Parameters

source?string

Catalog source name; omitted searches the CompozyOS catalog, then registration order

installed_name?string

Exact installed extension identity

scope?string

Installed-state projection scope

Value in"global""profile""workspace"
profile?string

Required for profile installed-state projection

workspace_id?string

Required for workspace installed-state projection

Response Body

OK

application/json
  1. response
entry*
extension?|
curl -X GET "https://example.com/api/marketplace/entries/string"
{  "entry": {    "author": "string",    "description": "string",    "digest_sha256": "string",    "entry_id": "string",    "format": "string",    "icon": "string",    "install_blocker": "string",    "install_slug": "string",    "installable": true,    "installed": true,    "installed_name": "string",    "installed_version": "string",    "layout": "string",    "manage_path": "string",    "name": "string",    "name_conflict": {      "entry_id": "string",      "source": "string",      "source_ref": "string"    },    "published_at": "2019-08-24T14:15:22Z",    "source": "string",    "source_ref": "string",    "tier": "string",    "trust": {      "allow_unverified": true,      "checksum_verified": true,      "decision": "string",      "registry_tier": "string",      "warnings": [        {          "category": "string",          "code": "string",          "data_freshness": "string",          "doc_url": "string",          "evidence": {            "property1": null,            "property2": null          },          "id": "string",          "message": "string",          "severity": "string",          "suggested_command": "string",          "title": "string"        }      ]    },    "update_available": true,    "updated_at": "2019-08-24T14:15:22Z",    "version": "string"  },  "extension": {    "artifact_url": "string",    "contents": {      "agents": 0,      "hooks": 0,      "loops": 0,      "mcp_servers": 0,      "skills": 0    },    "diagnostics": [      {        "category": "string",        "code": "string",        "data_freshness": "string",        "doc_url": "string",        "evidence": {          "property1": null,          "property2": null        },        "id": "string",        "message": "string",        "severity": "string",        "suggested_command": "string",        "title": "string"      }    ],    "digest_sha256": "string",    "inputs": [      {        "binding": {          "name": "string",          "type": "string"        },        "default": null,        "id": "string",        "prompt": "string",        "required": true,        "type": "string"      }    ],    "install_slug": "string",    "layout": "string",    "mcp_servers": [      {        "auth": {          "issuer_url": "string",          "method": "string",          "registration": "string",          "scopes": [            "string"          ]        },        "launch": "string",        "name": "string",        "owner": "string",        "profile": "string",        "runtime_name": "string",        "scope": "string",        "status": "string",        "transport": "string",        "workspace_id": "string"      }    ],    "repository": "string",    "resolved_ref": "string"  }}
POST
/api/marketplace/refresh

Response Body

OK

application/json
  1. response
sources*array<>
curl -X POST "https://example.com/api/marketplace/refresh"
{  "sources": [    {      "entry_count": 0,      "error_class": "string",      "outcome": "string",      "source": "string",      "stale": true    }  ]}
GET
/api/marketplace/sources

Response Body

Configured sources

application/json
  1. response
sources*array<>
curl -X GET "https://example.com/api/marketplace/sources"
{  "sources": [    {      "diagnostics": [        {          "category": "string",          "code": "string",          "data_freshness": "string",          "doc_url": "string",          "evidence": {            "property1": null,            "property2": null          },          "id": "string",          "message": "string",          "severity": "string",          "suggested_command": "string",          "title": "string"        }      ],      "document_path": "string",      "enabled": true,      "error": "string",      "error_class": "string",      "installable": 0,      "kind": "string",      "last_read_at": "2019-08-24T14:15:22Z",      "name": "string",      "owner": "string",      "plugins": 0,      "source": "string",      "stability": "string",      "state": "string"    }  ]}
POST
/api/marketplace/sources

Query Parameters

dry_run?boolean

Inspect packages without registering the source

Request Body

JSON request body

application/json
  1. body
name?string
ref*string

Response Body

Source preview

application/json
  1. response
diagnostics*array<>
document_path*string
installable*integer
name*string
owner?string
plugins*integer
curl -X POST "https://example.com/api/marketplace/sources" \  -H "Content-Type: application/json" \  -d '{    "ref": "string"  }'
{  "diagnostics": [    {      "category": "string",      "code": "string",      "data_freshness": "string",      "doc_url": "string",      "evidence": {        "property1": null,        "property2": null      },      "id": "string",      "message": "string",      "severity": "string",      "suggested_command": "string",      "title": "string"    }  ],  "document_path": "string",  "installable": 0,  "name": "string",  "owner": "string",  "plugins": 0}
PATCH
/api/marketplace/sources/{name}

Path Parameters

name*string

Registered source name

Request Body

JSON request body

application/json
  1. body
enabled*boolean|null

Response Body

Updated source

application/json
  1. response
source*
curl -X PATCH "https://example.com/api/marketplace/sources/string" \  -H "Content-Type: application/json" \  -d '{    "enabled": true  }'
{  "source": {    "diagnostics": [      {        "category": "string",        "code": "string",        "data_freshness": "string",        "doc_url": "string",        "evidence": {          "property1": null,          "property2": null        },        "id": "string",        "message": "string",        "severity": "string",        "suggested_command": "string",        "title": "string"      }    ],    "document_path": "string",    "enabled": true,    "error": "string",    "error_class": "string",    "installable": 0,    "kind": "string",    "last_read_at": "2019-08-24T14:15:22Z",    "name": "string",    "owner": "string",    "plugins": 0,    "source": "string",    "stability": "string",    "state": "string"  }}
DELETE
/api/marketplace/sources/{name}

Path Parameters

name*string

Custom source name

Response Body

Source removed

curl -X DELETE "https://example.com/api/marketplace/sources/string"
Empty
POST
/api/marketplace/sources/{name}/refresh

Path Parameters

name*string

Registered source name

Response Body

Current source state, including degraded refresh

application/json
  1. response
source*
curl -X POST "https://example.com/api/marketplace/sources/string/refresh"
{  "source": {    "diagnostics": [      {        "category": "string",        "code": "string",        "data_freshness": "string",        "doc_url": "string",        "evidence": {          "property1": null,          "property2": null        },        "id": "string",        "message": "string",        "severity": "string",        "suggested_command": "string",        "title": "string"      }    ],    "document_path": "string",    "enabled": true,    "error": "string",    "error_class": "string",    "installable": 0,    "kind": "string",    "last_read_at": "2019-08-24T14:15:22Z",    "name": "string",    "owner": "string",    "plugins": 0,    "source": "string",    "stability": "string",    "state": "string"  }}